#!/bin/csh -f


if($#argv == 0) then
    echo ===========================================================
    echo " "
    echo 'maps.com <cpt_file> <ps_file> <data_file1> [<data_file2>]'
    echo " "
    echo GMT VERSION is 3.4
    echo ===========================================================
    exit
endif

# decoding command line
set cpt_file = $argv[1]
set ps_file = $argv[2]

set argv[1] = ""
set argv[2] = ""
set argv = ($argv)

set data_file = ($argv)

# get number of title lines in data files
set ntitle = " "
foreach file ($data_file)
    set t = `awk 'BEGIN{t=0}{if(substr($0,1,1)=="t") t=t+1;}END{print t}' $file`
    set ntitle = ($ntitle $t)
end

set radius2 = 3.0
set radius = `(echo scale=2;echo $radius2/2.)|bc`
set xoffset0 = `echo 4.1-$radius|bc`
set yoffset0 = 10.5

gmtdefaults -D > .gmtdefaults
gmtset ANOT_FONT_SIZE 10p COLOR_NAN 255/255/255 MEASURE_UNIT inch
set inch = i

set proj = (-JA0/-89.9/$radius2$inch -P)
set frame = -R-180/180/-90/90
set projx = (-Jx1$inch -P)

echo 0 0 0 | psxy -R-1/1/-1/1 $projx -K \
    -X$xoffset0$inch -Y$yoffset0$inch > $ps_file

# LOOP OVER DATA FILES
@ i = 0
foreach file ($data_file)
echo $file $data_file
    @ i++
    @ j = 0
    @ t = $ntitle[$i]
    while ($j < $t)
        @ j++
        set title = `head -$j $data_file[$i]|tail -1|cut -c2-120`
        pstext -R0/1/0/1 $projx -N -O -K << enddata >> $ps_file
`echo $radius` `echo -0.4\*$j|bc` 14 0 1 2 `echo "$title"`
enddata
    end
    xyz2grd $file -: -H$ntitle[$i] -Ggrdfile -I12/6 $frame -V
    set yoffset = `echo $radius2+0.4+0.4\*$ntitle[$i]|bc`
    grdimage grdfile -C$cpt_file -V  $frame $proj -K -B30g30 \
        -Y-$yoffset$inch -O >> $ps_file  
end

psscale -C$cpt_file -P -X$radius$inch -D0/-0.6/4.5/0.2/h -O -L >> $ps_file

if ( $FMT_ARCHITECTURE_ =~ linux ) then
ghostview $ps_file 
endif
if ( $FMT_ARCHITECTURE_ =~ solaris ) then
gv -media a4 $ps_file  
endif
